Import contacts in bulk
curl --request POST \
--url https://your-domain.com/api/v1/api/contacts/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contacts": [
{
"first_name": "<string>",
"phone": "<string>",
"last_name": "<string>",
"email": "[email protected]",
"group": [
"<string>"
],
"street": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
}
]
}
'import requests
url = "https://your-domain.com/api/v1/api/contacts/bulk"
payload = { "contacts": [
{
"first_name": "<string>",
"phone": "<string>",
"last_name": "<string>",
"email": "[email protected]",
"group": ["<string>"],
"street": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contacts: [
{
first_name: '<string>',
phone: '<string>',
last_name: '<string>',
email: '[email protected]',
group: ['<string>'],
street: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
country: '<string>'
}
]
})
};
fetch('https://your-domain.com/api/v1/api/contacts/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"success": true,
"message": "<string>",
"data": {},
"errors": [
{}
]
}{
"status": 123,
"success": false,
"message": "<string>",
"data": null,
"errors": [
{}
]
}{
"status": 123,
"success": false,
"message": "<string>",
"data": null,
"errors": [
{}
]
}{
"status": 123,
"success": false,
"message": "<string>",
"data": null,
"errors": [
{}
]
}Contacts
Import contacts in bulk
1–1000 contacts per request. Subject to contacts_limit when configured.
POST
/
contacts
/
bulk
Import contacts in bulk
Authorizations
API key from Developer Tools. Use Authorization: Bearer <api_key>. Do not send a user JWT; it will be rejected with 401.
Body
application/json
Required array length:
1 - 1000 elementsShow child attributes
Show child attributes
⌘I